Subject: Re: [trill] draft-ietf-trill-tree-selection - WG LC (2nd call) - 8/4 to 8/18

From: Radia Perlman <[email-masked]>
Date: Sun, 6 Sep 2015 20:03:48 -0700

I have read and support this draft.  Admittedly the prose is probably more
difficult to read than necessary (which might have prevented more people
from reading it, but also, August is a time when a lot of people are on
vacation), but the draft describes an idea that seems important for
scalability.  So I support it progressing, and apologize for being late on
this last call.

Random very-unthought-through thought...Suppose half the RBridges did no
pruning on, say, half the FGLs...and the other half of the RBridges pruned
on those FGLs, and did no pruning on the complementary set of FGLs?  Could
this somehow reduce table size by 50%, and make filtering happen just one
hop later than if all RBridges filtered on all the FGLs they needed to
filter on?

Radia

On Wed, Aug 5, 2015 at 5:01 AM, Mingui Zhang <[email-masked]> wrote:

> The reduction of pruning information is meaningful. This power is enabled
> by using the Tree-VLAN/Tree-FGL APPsub-TLVs as defined in the document.
>
>
>
> The draft is well organized. I thinks it is ready for publication.
>
>
>
> Thanks,
>
> Mingui
>
>
>
>
>
> *From:* trill [mailto:[email-masked]] *On Behalf Of *Susan Hares
> *Sent:* Tuesday, August 04, 2015 9:01 PM
> *To:* [email-masked]
> *Cc:* 'Donald Eastlake'; 'Alia Atlas'; 'Jon Hudson'
> *Subject:* [trill] draft-ietf-trill-tree-selection - WG LC (2nd call) -
> 8/4 to 8/18
>
>
>
> Trill WG:
>
>
>
> The WG LC for draft-ietf-trill-tree-selection-01
> <http://datatracker.ietf.org/doc/draft-ietf-trill-tree-selection/>.txt
> did not receive any comments.  This is a second call for support for
> draft-ietf-trill-tree-selection draft having reached WG consensus.
>
>
>
> Please in this call indicate whether you think this draft is ready for
> publication and represents the WG’s consensus.
>
>
>
> Sue Hares
>
> _______________________________________________
> trill mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trill
>
>

---

From: Donald Eastlake <[email-masked]>
Date: Mon, 7 Sep 2015 21:07:13 -0400

Hi Radia,

> scalability.  So I support it progressing, and apologize for being late on

Thanks.

> hop later than if all RBridges filtered on all the FGLs they needed to

Yes, if supported by the fast path hardware, you could do something
like that for various kinds of pruning (VLAN, FGL, multicast).

It would tend to be statistical in nature as, I think, with the fairly
rich interconnection of RBridges that is typical, you could not easily
assure that, for example, successive RBridges a data packet went
through had complementary pruning. If you could, then a packet being
pruned would have a 50% chance of being pruned immediately and a 50%
chance of going one more hop and being pruned for an average of going
1/2 hop more than the minimum. I think if it was random, the
probability of a data packet going N hopes more than the minimum would
be 1 / 2**(N+1). So on average, with two populations of RBridges
having complementary pruning, a packet would, I think, go a bit less
than 1 hop more than the minimum...

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

>> From: trill [mailto:[email-masked]] On Behalf Of Susan Hares
>> Sent: Tuesday, August 04, 2015 9:01 PM
>> To: [email-masked]
>> Cc: 'Donald Eastlake'; 'Alia Atlas'; 'Jon Hudson'
>> Subject: [trill] draft-ietf-trill-tree-selection - WG LC (2nd call) - 8/4
>> to 8/18
>>
>>
>>
>> Trill WG:
>>
>>
>>
>> The WG LC for draft-ietf-trill-tree-selection-01.txt did not receive any
>> comments.  This is a second call for support for